Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.pk
Interface KeyStoreMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  DefaultKeyStoreMBean

Deprecated. 8.1.0.0

public interface KeyStoreMBean
extends ProviderMBean

The SSPI MBean that all Keystore providers must extend. It was deprecated in WLS 8.1.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getPrivateKeyStoreLocation()` Deprecated. Returns the location of the keystore used to store identities - that is, certificate and private key pairs.
`String` | `getPrivateKeyStorePassPhrase()` Deprecated. Returns the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute.
`byte[]` | `getPrivateKeyStorePassPhraseEncrypted()` Deprecated. Returns the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute.
`String` | `getRootCAKeyStoreLocation()` Deprecated. Returns the location of the keystore used to store trusted certificate authority certificates.
`String` | `getRootCAKeyStorePassPhrase()` Deprecated. Returns the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute.
`byte[]` | `getRootCAKeyStorePassPhraseEncrypted()` Deprecated. Returns the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute.
`String` | `getType()` Deprecated. Returns the type of the Keystore implementation that this provider supports, as defined by the JavaSoft Cryptography Architecture specification.
`void` | `setPrivateKeyStoreLocation(String location)` Deprecated. Sets the location of the keystore used to store identities - that is, certificate and private key pairs.
`void` | `setPrivateKeyStorePassPhrase(String passphrase)` Deprecated. Sets the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute.
`void` | `setPrivateKeyStorePassPhraseEncrypted(byte[] bytes)` Deprecated. Sets the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute.
`void` | `setRootCAKeyStoreLocation(String location)` Deprecated. Sets the location of the keystore used to store trusted certificate authority certificates.
`void` | `setRootCAKeyStorePassPhrase(String passphrase)` Deprecated. Sets the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute.
`void` | `setRootCAKeyStorePassPhraseEncrypted(byte[] bytes)` Deprecated. Sets the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getName, getRealm, getVersion`

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getPrivateKeyStoreLocation

    public String getPrivateKeyStoreLocation()

  Deprecated.
  Returns the location of the keystore used to store identities - that is, certificate and private key pairs.

  The configured Keystore provider implementation determines the requirements for this attribute. For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default value:
    null
  A dynamic MBean attribute.
    false

### getPrivateKeyStorePassPhrase

    public String getPrivateKeyStorePassPhrase()

  Deprecated.
  Returns the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute. If the passphase is null, no passphrase will be used to access the keystore.

  See Also:
    `getPrivateKeyStorePassPhraseEncrypted()`
  Default value:
    null

### getPrivateKeyStorePassPhraseEncrypted

    public byte[] getPrivateKeyStorePassPhraseEncrypted()

  Deprecated.
  Returns the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute. If the passphase is null, no passphrase will be used to access the keystore.

  Returns:
    The passphrase as an encrypted byte array.
  See Also:
    weblogic.management.EncryptionHelper
  Default value:
    null
  A dynamic MBean attribute.
    false

### getRootCAKeyStoreLocation

    public String getRootCAKeyStoreLocation()

  Deprecated.
  Returns the location of the keystore used to store trusted certificate authority certificates.

  The configured Keystore provider implementation determines the requirements for this attribute. For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default value:
    null
  A dynamic MBean attribute.
    false

### getRootCAKeyStorePassPhrase

    public String getRootCAKeyStorePassPhrase()

  Deprecated.
  Returns the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute. If the passphase is null, no passphrase will be used to access the keystore.

  See Also:
    `getRootCAKeyStorePassPhraseEncrypted()`

### getRootCAKeyStorePassPhraseEncrypted

    public byte[] getRootCAKeyStorePassPhraseEncrypted()

  Deprecated.
  Returns the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute. If the passphase is null, no passphrase will be used to access the keystore.

  Returns:
    The passphrase as an encrypted byte array.
  See Also:
    weblogic.management.EncryptionHelper
  Default value:
    null
  A dynamic MBean attribute.
    false

### getType

    public String getType()

  Deprecated.
  Returns the type of the Keystore implementation that this provider supports, as defined by the JavaSoft Cryptography Architecture specification.

  Default value:
    "jks"
  A dynamic MBean attribute.
    false

### setPrivateKeyStoreLocation

    public void setPrivateKeyStoreLocation(String location)
                                    throws InvalidAttributeValueException

  Deprecated.
  Sets the location of the keystore used to store identities - that is, certificate and private key pairs.

  Parameters:
    `location` - - the new keystore location
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPrivateKeyStoreLocation()`

### setPrivateKeyStorePassPhrase

    public void setPrivateKeyStorePassPhrase(String passphrase)
                                      throws InvalidAttributeValueException

  Deprecated.
  Sets the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute. Set the passphrase to null if no passphrase is needed to access the keystore.

  Parameters:
    `passphrase` - - the new keystore passphrase
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPrivateKeyStorePassPhrase()`, `setPrivateKeyStorePassPhraseEncrypted(byte[])`

### setPrivateKeyStorePassPhraseEncrypted

    public void setPrivateKeyStorePassPhraseEncrypted(byte[] bytes)
                                               throws InvalidAttributeValueException

  Deprecated.
  Sets the passphrase used to access the keystore specified by the `PrivateKeyStoreLocation` attribute. Set the passphrase to null if no passphrase is needed to access the keystore.

  Parameters:
    `bytes` - The new passphrase as a byte array.
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPrivateKeyStorePassPhraseEncrypted()`

### setRootCAKeyStoreLocation

    public void setRootCAKeyStoreLocation(String location)
                                   throws InvalidAttributeValueException

  Deprecated.
  Sets the location of the keystore used to store trusted certificate authority certificates. For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Parameters:
    `location` - - the new keystore pathname
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRootCAKeyStoreLocation()`

### setRootCAKeyStorePassPhrase

    public void setRootCAKeyStorePassPhrase(String passphrase)
                                     throws InvalidAttributeValueException

  Deprecated.
  Sets the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute. Set the passphrase to null if no passphrase is needed to access the keystore.

  Parameters:
    `passphrase` - - the new keystore passphrase
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRootCAKeyStorePassPhrase()`, `setRootCAKeyStorePassPhraseEncrypted(byte[])`

### setRootCAKeyStorePassPhraseEncrypted

    public void setRootCAKeyStorePassPhraseEncrypted(byte[] bytes)
                                              throws InvalidAttributeValueException

  Deprecated.
  Sets the passphrase used to access the keystore specified by the `RootCAKeyStoreLocation` attribute. Set the passphrase to null if no passphrase is needed to access the keystore.

  Parameters:
    `bytes` - The new passphrase as a byte array.
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRootCAKeyStorePassPhraseEncrypted()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD